import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';
import { SyncMode } from '../types/sync-mode.type';

export interface VersionInfo2Request extends APIRequest {
  userSeq?: number;
  deviceType: DeviceType;
  token?: string;
  companyGroupType: string;
  companyCode: string;
  loginId: string;
}

export interface VersionInfo2Response extends APIResponse {
  protocolCode?: number;
  syncMode?: SyncMode;
  appVersion?: string;
  installUrl?: string;
  serverIp?: string;
  uploadUrl?: string;
  downloadUrl?: string;
  profileUploadUrl?: string;
  profileRoot?: string;
  fileTerm?: number;
  fileAllowSize?: number;
  authIp?: boolean;
  launcherAppVersion?: string;
  launcherInstallUrl?: string;
}
